## disulfinder 1.2.11

=== Makefile ===
#!/usr/bin/make -f
# Remove binaries and shared objects (.so): find disulfind \( \( -name '*.o' \) -o \( -type f -exec bash -c '[[ $(file "{}") =~ ELF.*(executable|object) ]];' \; \) \) -ls -delete
PACKAGE := disulfinder
# upstream version is 1.2, our version is 8
VERSION := 1.2.11
DISTDIR := $(PACKAGE)-$(VERSION)

DISULFARCH := disulfind.tgz
DISULFDIR := disulfind

MAN1PAGES := disulfinder.1

prefix := /usr
docdir := $(prefix)/share/doc/$(PACKAGE)

CXXFLAGS := -DDEFAULT_PKGDATADIR=\"$(prefix)/share/disulfinder\"
export CXXFLAGS

.PHONY: all
all: disulfinder doc

.PHONY: disulfinder
disulfinder:
	$(MAKE) -C disulfind/src disulfinder

.PHONY: doc
doc: $(MAN1PAGES)

%.1: %.pod
	sed -e 's|__datadir__|$(datadir)|g;s|__docdir__|$(docdir)|g;s|__pkgdatadir__|$(pkgdatadir)|g;s|__PREFIX__|$(prefix)|g;s|__sysconfdir__|$(sysconfdir)|g;s|__VERSION__|$(VERSION)|g;' "$<" | \
	pod2man -c 'User Commands' -r '$(VERSION)' -name $(shell echo "$(basename $@)" | tr '[:lower:]' '[:upper:]') > "$@"

.PHONY: untar
untar: $(DISULFDIR)

$(DISULFDIR):
	tar -xvzf $(DISULFARCH) --exclude 'disulfind/src/BRNN/boost*' --exclude 'disulfind/src/BRNN/test' --exclude 'disulfind/Models/conn/data/sequences_w5' \
		--exclude disulfind/src/tmp/disulfind_conn_train.tgz --exclude disulfind/src/BRNN/RNNs.tgz && rm -f initial-clean-stamp patch-stamp

install:
	$(MAKE) -C $(DISULFDIR)/src install
	mkdir -p $(DESTDIR)$(prefix)/share/man/man1 && cp $(MAN1PAGES) $(DESTDIR)$(prefix)/share/man/man1/
	mkdir -p $(DESTDIR)$(docdir)/examples && cp examples/res_id_* $(DESTDIR)$(docdir)/examples/

clean:
	if [ -e "$(DISULFDIR)/src/Makefile" ]; then $(MAKE) -C $(DISULFDIR)/src clean; fi
	rm -f *.[12345678] *.[12345678].gz

distclean: clean
	#if [ -d "$(DISULFDIR)" ]; then rm -rf $(DISULFDIR); fi
	if [ -d "$(DISTDIR)" ]; then rm -rf "$(DISTDIR)"; fi
	rm -rf	patch-stamp \
		initial-clean-stamp \
		"$(DISTDIR).tar.gz" \
		.pc

dist: distdir
	tar chof - "$(DISTDIR)" | gzip -c > "$(DISTDIR).tar.gz"
	rm -rf "$(DISTDIR)"

distdir: clean
	rm -rf "$(DISTDIR)" && mkdir -p "$(DISTDIR)" && \
	rsync -avC \
		--exclude /*-stamp \
		--exclude .*.swp \
		--exclude *.o \
		examples \
		ChangeLog \
		COPYING \
		Makefile \
		disulfind \
		disulfinder.pod \
		Makefile \
		"$(DISTDIR)/";

help:
	@echo "Rules:"
	@echo "all*"
	@echo "*disulfinder"
	@echo "*doc"
	@echo "install"
	@echo "  set DESTDIR and prefix as needed"
	@echo "clean"
	@echo "distclean"
	@echo "dist - create tar.gz package"
	@echo "untar"
	@echo "help"

# vim:ai:

=== disulfind/src/Makefile ===
LIBS=-lCommon 
LDFLAGS=-LCommon/
TARGETS=disulfinder disultrainer
ifndef CXX
CXX=g++
endif
SVMDIR=SVM
BRNNDIR=BRNN
NNDIR=NN
COMMONDIR=Common
RNNDIR=$(BRNNDIR)/RNNs
CXXFLAGS += -O3 -Wall -Wno-deprecated -I$(RNNDIR)
BRNNOBJECTS=\
        $(RNNDIR)/Node.o \
        $(RNNDIR)/StructureSearch.o \
        $(RNNDIR)/DataSet.o \
        $(RNNDIR)/DPAG.o \
        $(RNNDIR)/Options.o \
        $(BRNNDIR)/protein_util.o \
        $(BRNNDIR)/blast_util.o \
        $(BRNNDIR)/rnn_util.o

OBJECTS= \
	Input/GlobalDescriptor.o \
	Input/createBRNNDataset.o \
	Input/createKernelDataset.o \
	Input/makeWindow.o \
	Input/makeSparseVector.o \
	Input/Protein.o \
	Input/buildXfolds.o \
	SVM/SVMClassifier.o \
	Output/makeHTMLOutput.o \
	Output/utils.o \
	Output/makeASCIIOutput.o \
	FSA-Alignment/fsa.o \
	FSA-Alignment/viterbi_aligner.o \
	NN/multi-array.o \
	NN/array.o \
	NN/brnn-model.o \
	NN/brnn-test.o \
	$(BRNNOBJECTS)

SOURCES=$(OBJECTS:.o=.cpp)

all: SVM NN brnn disulfinder disultrainer

%.o : %.cpp
	$(CXX) $(CXXFLAGS) -c $< -o $@

$(COMMONDIR)/libCommon.a: COMMON

disulfinder: $(OBJECTS) $(COMMONDIR)/libCommon.a disulfinder.o
	$(CXX) -o disulfinder disulfinder.o $(OBJECTS) $(LDFLAGS) $(LIBS)

disultrainer: disultrainer.o $(OBJECTS) $(COMMONDIR)/libCommon.a
	$(CXX) -o $@ disultrainer.o $(OBJECTS) $(LDFLAGS) $(LIBS)

brnn: 
	$(MAKE) -C $(BRNNDIR) deps.mk 
	$(MAKE) -C $(BRNNDIR)

NN :	COMMON
	$(MAKE) -C $(NNDIR)

NN-clean :
	$(MAKE) -C $(NNDIR) clean

.PHONY: COMMON
COMMON :
	$(MAKE) -C $(COMMONDIR) lib

COMMON-clean :
	$(MAKE) -C $(COMMONDIR) clean

SVM : 	COMMON
	$(MAKE) -C $(SVMDIR)

SVM-clean :
	$(MAKE) -C $(SVMDIR) clean

clean : NN-clean COMMON-clean SVM-clean
	cd SVM && $(MAKE) clean
	cd Input && $(MAKE) clean
	cd Output && $(MAKE) clean
	cd FSA-Alignment && $(MAKE) clean
	cd $(BRNNDIR) && $(MAKE) clean
	rm $(TARGETS) *.o *~ -f 

install:
	mkdir -p $(DESTDIR)$(prefix)/bin
	cp disulfinder $(DESTDIR)$(prefix)/bin/
	mkdir -p $(DESTDIR)$(prefix)/share/disulfinder
	mkdir -p $(DESTDIR)$(prefix)/share/disulfinder/Models
	cp -r ../Models $(DESTDIR)$(prefix)/share/disulfinder/ && find $(DESTDIR)$(prefix)/share/disulfinder/ -depth -ignore_readdir_race -name .svn -execdir rm -rf {} \;
	rm -rf $(DESTDIR)$(prefix)/share/disulfinder/Models/conn/data/sequences_w5
	rm -rf $(DESTDIR)$(prefix)/share/disulfinder/Predictions
	rm -rf $(DESTDIR)$(prefix)/share/disulfinder/tmp

.PHONY : help COMMON NN SVM

deps.mk: $(SOURCES) disulfinder.cpp
	$(CXX) -MM $(CXXFLAGS) $^ > deps.mk

include deps.mk

=== disulfind/src/BRNN/Makefile ===
#############################################
# Gnu gcc

ifndef CC
CC            	= gcc
endif
ifndef CXX
CXX           	= g++
endif
CCC           	= g++
CCLIB         	= g++
RNNDIR		= ./RNNs
#BOOST		= -I./boost # if you have your own personal boost distribution
#BOOST		= -I/usr/include/boost
CINCLUDES     	= -I$(RNNDIR) $(BOOST)
#WARNINGS      	= -Wall
WARNINGS      	= -Wno-deprecated
CODEOPT       	= -O3
RAN 		= ranlib
DEBUG         	= #-g -DDEBUG
PROFILE       	= #-pg
# end of edit

#LIBS       	= -L/home/alex/lib/

CXXFLAGS      	+= $(DEFINES) $(WARNINGS) -ftemplate-depth-36 -fpermissive 
CFLAGS        	+= $(DEFINES) $(WARNINGS) 
LDFLAGS       	= $(CODEOPT) $(DEBUG)
LD            	= $(CXX) #$(LDFLAGS)

.cpp.o:
	$(CXX) $(CINCLUDES) $(CODEOPT) $(DEBUG) $(CXXFLAGS) $(PROFILE) -c $< -o $@
SOURCES.cpp= \
	$(RNNDIR)/Node.cpp \
	$(RNNDIR)/StructureSearch.cpp \
	$(RNNDIR)/DataSet.cpp \
	$(RNNDIR)/DPAG.cpp \
	$(RNNDIR)/Options.cpp \
	protein_util.cpp \
	blast_util.cpp \
	rnn_util.cpp

SOURCES.h= \
	$(RNNDIR)/require.h \
	$(RNNDIR)/util.h \
	$(RNNDIR)/ActivationFunctions.h \
	$(RNNDIR)/DataSet.h \
	$(RNNDIR)/DPAG.h \
	$(RNNDIR)/ErrorMinimizationProcedure.h \
	$(RNNDIR)/Node.h \
	$(RNNDIR)/Options.h \
	$(RNNDIR)/RecursiveNN.h \
	$(RNNDIR)/StructureSearch.h \
	protein_util.h \
	blast_util.h \
	rnn_util.h

OBJECTS = $(SOURCES.cpp:%.cpp=%.o)

TARGETS = disulfind-conn 

all: ${TARGETS}

disulfind-conn: $(OBJECTS) disulfind-conn.o deps.mk
	$(LD) $(OBJECTS) disulfind-conn.o -o $@ $(PROFILE) $(LDFLAGS)

disulfind-conn.o: $(SOURCES.cpp) disulfind-conn.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(CXXFLAGS) $(PROFILE) -c disulfind-conn.cpp

clean:
	rm -f *.o core
	rm -f $(RNNDIR)/*.o $(RNNDIR)/core $(TARGETS)

deps.mk: $(SOURCES.h) $(SOURCES.cpp) Makefile
	$(CXX) -MM $(CINCLUDES) $(CXXFLAGS) $(SOURCES.h) $(SOURCES.cpp) disulfind-conn.cpp > deps.mk 

# DO NOT DELETE

include deps.mk

=== disulfind/src/Common/Makefile ===
CXXFLAGS += -O3 -Wall -Wno-deprecated
LIBS=-lmeschach -lf2c -lm 
MAKELIB = ar rvs
TARGETLIB = libCommon.a
OBJECTFILES= Vector.o Util.o CommonMethods.o ConfusionMatrix.o  Exception.o  Statistics.o eig/balanc.o  eig/balbak.o  eig/cdiv.o  eig/elmhes.o  eig/eltran.o  eig/hqr.o  eig/hqr2.o  eig/rg.o coords.o eig/d_sign.o

all: lib Eig Norm

libCommon.a : $(OBJECTFILES)
	$(MAKELIB) ${TARGETLIB} $+

lib : libCommon.a

Eig:	Decomposition.o ${OBJECTFILES}
	g++ -o $@ $+ ${LIBS}

Norm:	Norm.o ${OBJECTFILES}
	g++ -o $@ $+ ${LIBS}

%.o: %.cpp
	g++ $(CXXFLAGS) -c $< -o $@

clean:
	$(MAKE) -C eig clean
	rm *.o $(TARGETLIB) Eig Norm *~ -f 

install: all
	cp $(TARGETLIB) $(DESTDIR)/usr/lib/
	cp Eig Norm $(DESTDIR)/usr/bin/

clean_install: clean install

.PHONY : lib

=== disulfind/src/FSA-Alignment/Makefile ===
FLAGS=-O3 -Wall -Wno-deprecated
LIBS=-lCommon 
LDFLAGS=-L../Common/

%.o : %.cpp

	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

include ../Common/Makefile.def

all: fold_automata.o viterbi_aligner.o timed_transitions.o fsa.o
	g++ -o fold_automata fold_automata.o fsa.o $(LDFLAGS) $(LIBS)
	g++ -o viterbi_aligner viterbi_aligner.o fsa.o $(LDFLAGS) $(LIBS)
	g++ -o timed_transitions timed_transitions.o $(LDFLAGS) $(LIBS)

clean:
	rm *.o fold_automata viterbi_aligner timed_transitions *~ -f 

install: all
	cp fold_automata viterbi_aligner timed_transitions $(DESTDIR)/usr/bin/

fsa.o : fsa.h  $(COMMONINCLUDES)
fold_automata.o :  $(COMMONINCLUDES)
viterbi_aligner.o :  $(COMMONINCLUDES)
timed_transitions.o :  $(COMMONINCLUDES)

=== disulfind/src/Input/Makefile ===
FLAGS=-O3 -Wall -Wno-deprecated
LIBS=-lCommon 
LDFLAGS=-L../Common/
TARGETS=makeWindow makeSparseVector globalDescriptor createKernelDataset createBRNNDataset buildXfolds


all : $(TARGETS)

buildStandaloneXfolds.o : buildXfolds.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

makeStandaloneWindow.o : makeWindow.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

makeStandaloneSparseVector.o : makeSparseVector.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

GlobalStandaloneDescriptor.o : GlobalDescriptor.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

createStandaloneKernelDataset.o : createKernelDataset.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

createStandaloneBRNNDataset.o : createBRNNDataset.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

%.o : %.cpp
	g++ $(FLAGS) -c $< -o $@

buildXfolds : buildStandaloneXfolds.o
	g++ -o $@ $+ $(LDFLAGS) $(LIBS)

makeWindow : makeStandaloneWindow.o
	g++ -o $@ $+ $(LDFLAGS) $(LIBS)

makeSparseVector : makeStandaloneSparseVector.o
	g++ -o $@ $+ $(LDFLAGS) $(LIBS)

globalDescriptor : Protein.o GlobalStandaloneDescriptor.o
	g++ -o $@ $+ $(LDFLAGS) $(LIBS)

createKernelDataset : Protein.o \
	GlobalDescriptor.o \
	makeSparseVector.o \
	makeWindow.o \
	createStandaloneKernelDataset.o
	g++ -o $@ $+ $(LDFLAGS) $(LIBS)	

createBRNNDataset : Protein.o \
	makeSparseVector.o \
	makeWindow.o \
	createStandaloneBRNNDataset.o
	g++ -o $@ $+ $(LDFLAGS) $(LIBS)	

clean:
	rm *.o $(TARGETS) *~ -f

=== disulfind/src/NN/Makefile ===
#CXXFLAGS += -O3 -mcpu=i686 -ffast-math -pipe -Wall -Wno-deprecated 
CXXFLAGS += -O3 -ffast-math -pipe -Wall -Wno-deprecated 
LDFLAGS=-L../Common/ -lCommon

all : brnn-train brnn-test

%.standalone.o:%.cpp
	g++ $(CXXFLAGS) -DSTANDALONE -c $< -o $@

%.o:%.cpp
	g++ $(CXXFLAGS) -c $< -o $@
 
brnn-train : multi-array.o array.o brnn-model.o brnn-train.standalone.o brnn-test.standalone.o 
	g++ $(CXXFLAGS) -o brnn-train brnn-train.standalone.o brnn-model.o array.o multi-array.o $(LDFLAGS)

brnn-test : multi-array.o array.o brnn-model.o brnn-train.standalone.o brnn-test.standalone.o 
	g++ $(CXXFLAGS) -o brnn-test brnn-test.standalone.o brnn-model.o array.o multi-array.o $(LDFLAGS)

clean:
	rm -f *~ *.o brnn-train brnn-test

=== disulfind/src/Output/Makefile ===
FLAGS=-O3 -Wall -Wno-deprecated

TARGETS=makeASCIIOutput makeHTMLOutput


all : $(TARGETS)

makeStandaloneASCIIOutput.o : makeASCIIOutput.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

makeStandaloneHTMLOutput.o : makeHTMLOutput.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

%.o : %.cpp
	g++ $(FLAGS) -c $< -o $@

makeASCIIOutput : utils.o makeStandaloneASCIIOutput.o 
	g++ -o $@ $+ 

makeHTMLOutput : utils.o makeStandaloneHTMLOutput.o 
	g++ -o $@ $+ 


clean:
	rm *.o $(TARGETS) *~ -f

=== disulfind/src/SVM/Makefile ===
TARGETBIN = SVMClassifier
OPT = -O3
CXXFLAGS=$(OPT) $(CFLAGS) -Wno-deprecated 
CXX = g++ 
LIBS=-lCommon 
LDFLAGS=-L../Common/

all : ${TARGETBIN} SVMClassifier.o

${TARGETBIN} : StandaloneSVMClassifier.o 
	${CXX} $+ -o $@ $(LDFLAGS) $(LIBS)

StandaloneSVMClassifier.o : SVMClassifier.cpp
	${CXX} -DSVMCLASSIFIER -c $< -o $@

%.o : %.cpp
	${CXX} -c $< -o $@ 

clean:	
	rm *~ *.o *.a *.exe ${TARGETBIN} -f

=== disulfind/src/BRNN/RNNs/Makefile ===
#############################################
# Gnu gcc

ifndef CC
CC            	= gcc
endif
ifndef CXX
CXX           	= g++
endif
CCC           	= g++
CCLIB         	= g++
CINCLUDES     	= -I/usr/include/g++-3 -I/usr/include/boost #home/alex/boost_1_21_1 -I/home/alex/include #
WARNINGS      	= #-Wall 
CODEOPT       	= -ftemplate-depth-30 -fpermissive -O3
RAN 		= ranlib
DEBUG         	= #-g -DDEBUG
PROFILE       	= #-pg
# end of edit

LIBS       	= -L/home/alex/lib/

CXXFLAGS      	= $(DEFINES) $(WARNINGS) 
CFLAGS        	= $(DEFINES) $(WARNINGS) 
LDFLAGS       	= $(CODEOPT) $(DEBUG)
LD            	= $(CXX) #$(LDFLAGS)

.cpp.o:
	$(CXX) $(CINCLUDES) $(CODEOPT) $(DEBUG) $(CFLAGS) $(PROFILE) -c $< -o $@

SOURCES.cpp= \
	protein_util.cpp \
	Node.cpp \
	StructureSearch.cpp \
	DataSet.cpp \
	DPAG.cpp \
	Options.cpp

SOURCES.h= \
	protein_util.h \
	require.h \
	ActivationFunctions.h \
	DataSet.h \
	DPAG.h \
	ErrorMinimizationProcedure.h \
	Node.h \
	Options.h \
	RecursiveNN.h \
	RecursiveNN1.h \
	StructureSearch.h

OBJECTS = $(SOURCES.cpp:%.cpp=%.o)

TARGETS = proteins2DataSet proteins2SSDataSet proteinNoisySearch protein2graphDataSet trainRNN trainRNNsoq online-trainRNN cysconn-trainRNN proteinSearch ssStats getContactMaps

all: ${TARGETS}

proteins2DataSet: $(OBJECTS) proteins2DataSet.o 
	$(LD) $(OBJECTS) proteins2DataSet.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

proteins2DataSet.o: $(SOURCES.cpp) proteins2DataSet.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c proteins2DataSet.cpp

proteins2SSDataSet: $(OBJECTS) proteins2SSDataSet.o 
	$(LD) $(OBJECTS) proteins2SSDataSet.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

proteins2SSDataSet.o: $(SOURCES.cpp) proteins2SSDataSet.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c proteins2SSDataSet.cpp

protein2graphDataSet: $(OBJECTS) protein2graphDataSet.o 
	$(LD) $(OBJECTS) protein2graphDataSet.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

protein2graphDataSet.o: $(SOURCES.cpp) protein2graphDataSet.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c protein2graphDataSet.cpp

trainRNN:  $(OBJECTS) trainRNN.o 
	$(LD) $(OBJECTS) trainRNN.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

trainRNN.o:  $(SOURCES.cpp)  trainRNN.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c trainRNN.cpp

trainRNNsoq:  $(OBJECTS) trainRNNsoq.o 
	$(LD) $(OBJECTS) trainRNNsoq.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

trainRNNsoq.o:  $(SOURCES.cpp)  trainRNNsoq.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c trainRNNsoq.cpp

online-trainRNN:  $(OBJECTS) online-trainRNN.o 
	$(LD) $(OBJECTS) online-trainRNN.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

online-trainRNN.o:  $(SOURCES.cpp)  online-trainRNN.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c online-trainRNN.cpp

cysconn-trainRNN:  $(OBJECTS) cysconn-trainRNN.o 
	$(LD) $(OBJECTS) cysconn-trainRNN.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

cysconn-trainRNN.o:  $(SOURCES.cpp)  cysconn-trainRNN.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c cysconn-trainRNN.cpp

proteinSearch: $(OBJECTS) proteinSearch.o 
	$(LD) $(OBJECTS) proteinSearch.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

proteinSearch.o: $(SOURCES.cpp) proteinSearch.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c proteinSearch.cpp

ssStats: $(OBJECTS) ssStats.o 
	$(LD) $(OBJECTS) ssStats.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

ssStats.o: $(SOURCES.cpp) ssStats.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c ssStats.cpp

getContactMaps: $(OBJECTS) getContactMaps.o 
	$(LD) $(OBJECTS) getContactMaps.o $(LIBS) -o $@ $(PROFILE) $(LDFLAGS)

getContactMaps.o: $(SOURCES.cpp) getContactMaps.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c getContactMaps.cpp

clean:
	rm -f *.o core

depend:
	makedepend -- $(CINCLUDES) $(CFLAGS) $(SOURCES.cpp) proteins2DataSet.cpp protein2graphDataSet.cpp trainRNN.cpp proteinSearch.cpp ssStats.cpp $(SOURCES.h) --







# DO NOT DELETE

Node.o: require.h Node.h Options.h

=== disulfind/src/BRNN/old/Makefile ===
#############################################
# Gnu gcc

CC            	= g++
CXX           	= g++
CCC           	= g++
CCLIB         	= g++ 
RNNDIR		= ./RNNs
BOOST		= ./boost # if you have your own personal boost distribution
CINCLUDES     	= -I$(RNNDIR) -I$(BOOST)
WARNINGS      	= #-Wall 
CODEOPT       	= -ftemplate-depth-30 -fpermissive -O3
RAN 		= ranlib
DEBUG         	= #-g -DDEBUG
PROFILE       	= #-pg
# end of edit

#LIBS       	= -L/home/alex/lib/

CXXFLAGS      	= $(DEFINES) $(WARNINGS) 
CFLAGS        	= $(DEFINES) $(WARNINGS) 
LDFLAGS       	= $(CODEOPT) $(DEBUG)
LD            	= $(CXX) #$(LDFLAGS)

.cpp.o:
	$(CXX) $(CINCLUDES) $(CODEOPT) $(DEBUG) $(CFLAGS) $(PROFILE) -c $< -o $@
SOURCES.cpp= \
	$(RNNDIR)/Node.cpp \
	$(RNNDIR)/StructureSearch.cpp \
	$(RNNDIR)/DataSet.cpp \
	$(RNNDIR)/DPAG.cpp \
	$(RNNDIR)/Options.cpp \
	protein_util.cpp \
	blast_util.cpp \
	rnn_util.cpp

SOURCES.h= \
	$(RNNDIR)/require.h \
	$(RNNDIR)/util.h \
	$(RNNDIR)/ActivationFunctions.h \
	$(RNNDIR)/DataSet.h \
	$(RNNDIR)/DPAG.h \
	$(RNNDIR)/ErrorMinimizationProcedure.h \
	$(RNNDIR)/Node.h \
	$(RNNDIR)/Options.h \
	$(RNNDIR)/RecursiveNN.h \
	$(RNNDIR)/StructureSearch.h \
	protein_util.h \
	blast_util.h \
	rnn_util.h

OBJECTS = $(SOURCES.cpp:%.cpp=%.o)

TARGETS = disulfind-conn predictbondingstate seq2conngraphs predictpattern

all: ${TARGETS}

disulfind-conn: $(OBJECTS) disulfind-conn.o 
	$(LD) $(OBJECTS) disulfind-conn.o -o $@ $(PROFILE) $(LDFLAGS)

disulfind-conn.o: $(SOURCES.cpp) disulfind-conn.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c disulfind-conn.cpp

predictbondingstate: $(OBJECTS) predictbondingstate.o 
	$(LD) $(OBJECTS) predictbondingstate.o -o $@ $(PROFILE) $(LDFLAGS)

predictbondingstate.o: $(SOURCES.cpp) predictbondingstate.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c predictbondingstate.cpp

predictpattern: $(OBJECTS) predictpattern.o 
	$(LD) $(OBJECTS) predictpattern.o -o $@ $(PROFILE) $(LDFLAGS)

predictpattern.o: $(SOURCES.cpp) predictpattern.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c predictpattern.cpp

seq2conngraphs: $(OBJECTS) seq2conngraphs.o 
	$(LD) $(OBJECTS) seq2conngraphs.o -o $@ $(PROFILE) $(LDFLAGS)

seq2conngraphs.o: $(SOURCES.cpp) seq2conngraphs.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c seq2conngraphs.cpp

clean:
	rm -f *.o core
	rm -f $(RNNDIR)/*.o $(RNNDIR)/core

depend:
	makedepend -- $(CINCLUDES) $(CFLAGS) -- $(SOURCES.h) $(SOURCES.cpp) disulfind-conn.cpp predictbondingstate.cpp predictpattern.cpp seq2conngraphs.cpp

# DO NOT DELETE

./RNNs/DataSet.o: ./RNNs/require.h ./RNNs/util.h ./RNNs/Options.h
./RNNs/DataSet.o: ./RNNs/DPAG.h /usr/include/boost/utility.hpp
./RNNs/DataSet.o: /usr/include/boost/utility/addressof.hpp
./RNNs/DataSet.o: /usr/include/boost/config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/user.hpp
./RNNs/DataSet.o: /usr/include/boost/config/select_compiler_config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/compiler/gcc.hpp
./RNNs/DataSet.o: /usr/include/boost/config/select_stdlib_config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/select_platform_config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/suffix.hpp /usr/include/limits.h
./RNNs/DataSet.o: /usr/include/features.h /usr/include/sys/cdefs.h
./RNNs/DataSet.o: /usr/include/gnu/stubs.h
./RNNs/DataSet.o: /usr/lib/gcc-lib/i486-linux/3.3.5/include/limits.h
./RNNs/DataSet.o: /usr/include/boost/detail/workaround.hpp
./RNNs/DataSet.o: /usr/include/boost/utility/base_from_member.hpp
./RNNs/DataSet.o: /usr/include/boost/utility_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/checked_delete.hpp
./RNNs/DataSet.o: /usr/include/boost/next_prior.hpp
./RNNs/DataSet.o: /usr/include/boost/noncopyable.hpp
./RNNs/DataSet.o: /usr/include/boost/property_map.hpp
./RNNs/DataSet.o: /usr/include/boost/config.hpp
./RNNs/DataSet.o: /usr/include/boost/pending/cstddef.hpp
./RNNs/DataSet.o: /usr/include/boost/detail/iterator.hpp
./RNNs/DataSet.o: /usr/include/boost/concept_check.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/conversion_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_convertible.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/yes_no_type.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/config.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_array.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/bool_trait_def.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/template_arity_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/template_arity_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/params.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/preprocessor.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/workaround.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/cat.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/config/config.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/lambda_support.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/lambda.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/ttp.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/overload_resolution.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/bool.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/bool_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/static_constant.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/bool_trait_undef.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_reference.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_reference.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/type_trait_def.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/type_trait_undef.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/ice.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_or.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_and.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_not.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_eq.hpp
./RNNs/DataSet.o: /usr/include/boost/static_assert.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/identity.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/void_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/lambda_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/lambda_arity_param.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/void.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/void_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/msvc.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/int_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/enum.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/def_params_tail.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/limits/arity.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/dtp.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/comma_if.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/punctuation/comma_if.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/control/if.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/control/iif.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/logical/bool.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/facilities/empty.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/punctuation/comma.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/logical/and.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/logical/bitand.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/identity.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/facilities/identity.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/empty.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/filter_params.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/sub.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/tuple.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/arity.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/nttp.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/algorithm_namespace.hpp
./RNNs/DataSet.o: /usr/include/boost/concept_archetype.hpp
./RNNs/DataSet.o: /usr/include/boost/graph/graph_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/tuple/tuple.hpp
./RNNs/DataSet.o: /usr/include/boost/ref.hpp
./RNNs/DataSet.o: /usr/include/boost/tuple/detail/tuple_basic.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/cv_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_const.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_volatile.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_cv.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_const.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/cv_traits_impl.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_volatile.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_const.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/broken_compiler_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_volatile.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_cv.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/function_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_function.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/false_result.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/is_function_ptr_helper.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_reference.hpp
./RNNs/DataSet.o: /usr/include/boost/pending/ct_if.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_categories.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/detail/config_def.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/apply_if.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/if.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/value_wknd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/eti.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/static_cast.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/arg_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/apply.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/placeholders.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/arg.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/arity_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/arg_typedef.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/use_preprocessed.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/include_preprocessed.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/compiler.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/stringize.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/detail/config_undef.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_adaptor.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_facade.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/interoperable.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/or.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/nested_type_wknd.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/detail/facade_iterator_category.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/and.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_same.hpp
./RNNs/DataSet.o: /usr/include/boost/python/detail/indirect_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/detail/indirect_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_member_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_member_function_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/is_mem_fun_pointer_impl.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_class.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_union.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/intrinsics.hpp

=== disulfind/src/Common/eig/Makefile ===
MAKELIB = ar rvs
TARGETLIB = libeig.a
OBJECTFILES= balanc.o  balbak.o  cdiv.o  elmhes.o  eltran.o  hqr.o  hqr2.o  rg.o d_sign.o

all: lib


lib: $(OBJECTFILES)
	$(MAKELIB) ${TARGETLIB} $+

%.o: %.c
	g++ $(CXXFLAGS) -O3 -c $< -o $@

clean:
	rm *.o $(TARGETLIB) *~ -f 

install:
	cp $(TARGETLIB) $(DESTDIR)/usr/lib/

=== debian/changelog ===
disulfinder (1.2.11-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:22 +0100

disulfinder (1.2.11-8) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - added references to registries

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 23 Sep 2018 17:15:15 +0200

disulfinder (1.2.11-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Avoid duplicated definition of guard macro (Thanks for the tip to
    Christian Seiler <christian@iwakd.de>)
    Closes: #853375

 -- Andreas Tille <tille@debian.org>  Sun, 27 Aug 2017 00:04:42 +0200

disulfinder (1.2.11-6) unstable; urgency=medium

  * Team upload.

  [Tatiana Malygina]
  * fix in install override in debian/rules
  * add harderning
  * add simple testsuite
  * cme fix dpkg-control
  * add README.test
  
  [Gert Wollny] 
  * d/p/gcc-6: Add patch to fix compilation with gcc-6, Closes: #811876
  * d/rules: enable parallel builds 

 -- Tatiana Malygina <merlettaia@gmail.com>  Sun, 26 Jun 2016 05:46:50 +0300

disulfinder (1.2.11-5) unstable; urgency=medium

  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 13:10:52 +0100

disulfinder (1.2.11-4) unstable; urgency=medium

  * Included patch to solve 'FTBFS with clang' (Closes: #741559)
  * Patched out 'unrecognized escape sequences'

 -- Laszlo Kajan <lkajan@debian.org>  Sun, 07 Sep 2014 09:56:52 +0200

disulfinder (1.2.11-3) unstable; urgency=low

  * debian/upstream: Valid BibTeX syntax in author strings
  * debian/control:
     - cme fix dpkg-control
     - Priority: s/extra/optional/
     - canonical Vcs URLs
     - debhelper 9
  * debian/copyright: DEP5
  * debian/patches/hardening.patch: Propagate hardening options
  * debian/rules: use dh consequently
  * README.Debian: references are now in debian/upstream - install this
    instead into doc directory

 -- Andreas Tille <tille@debian.org>  Sun, 17 Nov 2013 08:46:05 +0100

disulfinder (1.2.11-2) unstable; urgency=low

  * added mkdir debian/disulfinder-data/usr/share/disulfinder/ to
    debian/rules before moving Models to disulfinder-data package to
    resolve building issue on certain architectures (Closes: #639571)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 31 Aug 2011 20:47:26 +0200

disulfinder (1.2.11-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Aug 2011 13:02:59 +0200

disulfinder (1.2.10-1) unstable; urgency=low

  * New upstream release
  * The new upstream contains a rewritten version of require.h: the new
    require.h is no longer based on any code with restricted license,
    it is released under the GPL (see source)
  [Steffen]
  * moved to dh7
  * added data package

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 18 Aug 2011 11:28:02 +0200

disulfinder (1.2.9-2) UNRELEASED; urgency=low

  [Steffen]
  * Added build-arch/-indep targets to help lintian

 -- Laszlo Kajan <lkajan@rostlab.org>  Sun, 24 Jul 2011 15:51:08 +0200

disulfinder (1.2.9-1) unstable; urgency=low

  * Initial release (Closes: #634177)

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 09 Jul 2011 11:54:46 +0200

=== debian/control ===
Source: disulfinder
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Guy Yachdav <gyachdav@rostlab.org>,
           Laszlo Kajan <lkajan@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libboost-dev,
               libboost-graph-dev,
               libf2c2-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/disulfinder
Vcs-Git: https://salsa.debian.org/med-team/disulfinder.git
Homepage: http://disulfind.dsi.unifi.it/

Package: disulfinder
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         disulfinder-data
Description: cysteines disulfide bonding state and connectivity predictor
 'disulfinder' is for predicting the disulfide bonding state of cysteines
 and their disulfide connectivity starting from sequence alone. Disulfide
 bridges play a major role in the stabilization of the folding process for
 several proteins. Prediction of disulfide bridges from sequence alone is
 therefore useful for the study of structural and functional properties
 of specific proteins. In addition, knowledge about the disulfide bonding
 state of cysteines may help the experimental structure determination
 process and may be useful in other genomic annotation tasks.
 .
 'disulfinder' predicts disulfide patterns in two computational stages:
 (1) the disulfide bonding state of each cysteine is predicted by a
 BRNN-SVM binary classifier; (2) cysteines that are known to participate
 in the formation of bridges are paired by a Recursive Neural Network
 to obtain a connectivity pattern.

Package: disulfinder-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for predictor of disulfide bonds in proteins
 'disulfinder' is for predicting the disulfide bonding state of cysteines
 and their disulfide connectivity starting from sequence alone.
 .
 This package contains all data files to reduce the redundancy between
 architectures in Debian.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

pkgdata := $(DEB_SOURCE)-data

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_SOURCE) prefix=/usr install

override_dh_install:
	dh_install
	mkdir -p $(CURDIR)/debian/$(pkgdata)/usr/share/$(DEB_SOURCE)
	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/* $(CURDIR)/debian/$(pkgdata)/usr/share/$(DEB_SOURCE)

=== debian/tests/control ===
Tests: installation-test
Depends: disulfinder, disulfinder-data
Restrictions: allow-stderr
